Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.djep
Class DSymbolTable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.nfunk.jep.SymbolTable
                  org.lsmp.djep.xjep.XSymbolTable
                      org.lsmp.djep.djep.DSymbolTable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class DSymbolTable

extends XSymbolTable

A SymbolTable which works with partial derivatives of variables. Closely linked with `DVariableFactory`

Author:
  Rich Morris Created on 23-Nov-2003
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.nfunk.jep.SymbolTable
`SymbolTable.StObservable`

Field Summary

Fields inherited from class org.nfunk.jep.SymbolTable
`obeservable`

Constructor Summary
`DSymbolTable(VariableFactory varFac)`

Method Summary
`void` | `clearValues()` Clears the values of all variables.
`PartialDerivative` | `getPartialDeriv(java.lang.String name, java.lang.String[] dnames)`
`SymbolTable` | `newInstance()` Creates a new SymbolTable with the same variable factory as this.

Methods inherited from class org.lsmp.djep.xjep.XSymbolTable
`copyConstants, print`

Methods inherited from class org.nfunk.jep.SymbolTable
`addConstant, addObserver, addObserverToExistingVariables, addVariable, clearNonConstants, countObservers, createVariable, createVariable, deleteObserver, deleteObservers, get, getValue, getVar, getVariableFactory, hasChanged, makeVarIfNeeded, makeVarIfNeeded, put, setVarValue, toString`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DSymbolTable

    public DSymbolTable(VariableFactory varFac)

Method Detail

### newInstance

    public SymbolTable newInstance()

  Creates a new SymbolTable with the same variable factory as this.

  Overrides:
    `newInstance` in class `XSymbolTable`

### getPartialDeriv

    public PartialDerivative getPartialDeriv(java.lang.String name,
                                             java.lang.String[] dnames)

### clearValues

    public void clearValues()

  Description copied from class: `SymbolTable`
  Clears the values of all variables. Finer control is available through the `Variable.setValidValue` method.

  Overrides:
    `clearValues` in class `SymbolTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems